﻿using igGridComboRemoteDataSource.Models;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using System.Data;
using Newtonsoft.Json;

namespace igGridComboRemoteDataSource.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
           // ViewBag.Statuses = Status.GetStatus().AsQueryable();
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            var prod = Product.GetProductData().AsQueryable();
            return View("Index", prod);
        }

        


        [ComboDataSourceAction]
        [ActionName("employee-combo-data")]
        public ActionResult ComboData()
        {
            IEnumerable<Status> statuses = Status.GetStatus().AsQueryable();
            return View(statuses);
        }
    }
}
